# org.pdfclown.objects.Rectangle Class Reference

PDF rectangle object [PDF:1.6:3.8.4]. More...

Inheritance diagram for org.pdfclown.objects.Rectangle:

List of all members.

## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
| Rectangle (double left, double top, double width, double height)
| Rectangle (PointF lowerLeft, PointF upperRight)
| Rectangle (RectangleF rectangle)
RectangleF | ToRectangleF ()
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static Rectangle | Wrap (PdfDirectObject baseObject)
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
virtual PdfDirectObject | BaseObject`[get, set]`
double | Bottom`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
double | Height`[get, set]`
double | Left`[get, set]`
double | Right`[get, set]`
double | Top`[get, set]`
double | Width`[get, set]`
double | X`[get, set]`
double | Y`[get, set]`

##

PDF rectangle object [PDF:1.6:3.8.4].

Rectangles are described by two diagonally-opposite corners. Corner pairs which don't respect the canonical form (lower-left and upper-right) are automatically normalized to provide a consistent representation.

Coordinates are expressed within the PDF coordinate space (lower-left origin and positively-oriented axes).

## Constructor & Destructor Documentation

org.pdfclown.objects.Rectangle.Rectangle | ( | RectangleF | rectangle | ) |

org.pdfclown.objects.Rectangle.Rectangle | ( | PointF | lowerLeft,
|  | PointF | upperRight |
| ) |  |  |

org.pdfclown.objects.Rectangle.Rectangle | ( | double | left,
|  | double | top,
|  | double | width,
|  | double | height |
| ) |  |  |

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfArray > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

RectangleF org.pdfclown.objects.Rectangle.ToRectangleF | ( |  | ) |

static Rectangle org.pdfclown.objects.Rectangle.Wrap | ( | PdfDirectObject | baseObject | ) | `[static]`

## Property Documentation

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

double org.pdfclown.objects.Rectangle.Bottom`[get, set]`

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

double org.pdfclown.objects.Rectangle.Height`[get, set]`

double org.pdfclown.objects.Rectangle.Left`[get, set]`

double org.pdfclown.objects.Rectangle.Right`[get, set]`

double org.pdfclown.objects.Rectangle.Top`[get, set]`

double org.pdfclown.objects.Rectangle.Width`[get, set]`

double org.pdfclown.objects.Rectangle.X`[get, set]`

double org.pdfclown.objects.Rectangle.Y`[get, set]`

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.